OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray2OfVec Class Reference

`#include <PColgp_HArray2OfVec.hxx>`

## Public Member Functions
Standard_EXPORT | PColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColgp_HArray2OfVec (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_Vec &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Vec &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT gp_Vec | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray2OfVec ()
| PColgp_HArray2OfVec (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyLowerRow () const
void | _CSFDB_SetPColgp_HArray2OfVecmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyLowerCol () const
void | _CSFDB_SetPColgp_HArray2OfVecmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyUpperRow () const
void | _CSFDB_SetPColgp_HArray2OfVecmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfVecmyUpperCol () const
void | _CSFDB_SetPColgp_HArray2OfVecmyUpperCol (const Standard_Integer p)
const PColgp_FieldOfHArray2OfVec & | _CSFDB_GetPColgp_HArray2OfVecData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColgp_FieldOfHArray2OfVec | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColgp_FieldOfHArray2OfVec | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_Vec & | V
| ) |

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( |  | ) | `[inline]`

PColgp_HArray2OfVec::PColgp_HArray2OfVec | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray2OfVec& PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfVec::_CSFDB_GetPColgp_HArray2OfVecmyUpperRow | ( |  | ) | const`[inline]`

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfVec::_CSFDB_SetPColgp_HArray2OfVecmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColgp_HArray2OfVec::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColgp_HArray2OfVec::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray2OfVec PColgp_HArray2OfVec::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray2OfVec::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray2OfVec::LowerCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColgp_HArray2OfVec::RowLength | ( |  | ) | const

Standard_EXPORT void PColgp_HArray2OfVec::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Vec & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray2OfVec::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray2OfVec::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray2OfVec::UpperCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfVec::UpperRow | ( |  | ) | const

Standard_EXPORT gp_Vec PColgp_HArray2OfVec::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColgp_FieldOfHArray2OfVec PColgp_HArray2OfVec::Data`[private]`

Standard_Integer PColgp_HArray2OfVec::myLowerCol`[private]`

Standard_Integer PColgp_HArray2OfVec::myLowerRow`[private]`

Standard_Integer PColgp_HArray2OfVec::myUpperCol`[private]`

Standard_Integer PColgp_HArray2OfVec::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray2OfVec.hxx